[lfs-fr] r1669 - in trunk/blfs: . general/genlib general/genutils general/graphlib general/prog gnome/add introduction/welcome multimedia/libdriv postlfs/security server/major xsoft/graphweb

jmengual at linuxfromscratch.org jmengual at linuxfromscratch.org
Mer 7 Mar 07:31:06 PST 2012


Author: jmengual
Date: 2012-03-07 16:31:05 +0100 (Wed, 07 Mar 2012)
New Revision: 1669

Added:
   trunk/blfs/gnome/add/epiphany-extensions.xml
Modified:
   trunk/blfs/general.ent
   trunk/blfs/general/genlib/nspr.xml
   trunk/blfs/general/genutils/imagemagick.xml
   trunk/blfs/general/graphlib/libexif.xml
   trunk/blfs/general/prog/python2.xml
   trunk/blfs/gnome/add/add.xml
   trunk/blfs/introduction/welcome/changelog.xml
   trunk/blfs/multimedia/libdriv/liba52.xml
   trunk/blfs/postlfs/security/gnupg.xml
   trunk/blfs/postlfs/security/gnutls.xml
   trunk/blfs/postlfs/security/iptables.xml
   trunk/blfs/postlfs/security/nss.xml
   trunk/blfs/postlfs/security/p11-kit.xml
   trunk/blfs/server/major/bind.xml
   trunk/blfs/xsoft/graphweb/firefox.xml
   trunk/blfs/xsoft/graphweb/seamonkey.xml
Log:
9612-9622, verifier que 9612-9615 n'a pas trop engendre de conflits. J'ai tout
ecrase.


Modified: trunk/blfs/general/genlib/nspr.xml
===================================================================
--- trunk/blfs/general/genlib/nspr.xml	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/general/genlib/nspr.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -72,7 +72,7 @@
 sed -i 's#^\(RELEASE_BINS =\).*#\1#' pr/src/misc/Makefile.in &&
 sed -i 's#$(LIBRARY) ##' config/rules.mk &&
 ./configure --prefix=/usr --with-mozilla --with-pthreads \
-  $([ $(arch) = x86_64 ] && echo --enable-64bit) &&
+  $([ $(uname -m) = x86_64 ] && echo --enable-64bit) &&
 make</userinput></screen>
 
     <para>Ce paquet n'est pas fourni avec une suite de tests.</para>
@@ -105,8 +105,8 @@
     <para><parameter>--with-pthreads</parameter> : Ce paramètre oblige
     à utiliser la bibliothèque pthreads du système.</para>
 
-    <para><parameter>$([ $(arch) ... --enable-64bit</parameter> : Ce
-    paramètre est nécessaire <emphasis>sur tous les systèmes x86_64</emphasis> 
+    <para><parameter>$([ $(uname -m) ... --enable-64bit</parameter> :
+    Ce paramètre est nécessaire <emphasis>sur tous les systèmes x86_64</emphasis> 
     pour empêcher 
     <command>configure</command> d'échouer du fait que c'est un système sans
     support pthread. Il est sans effet sur un système 32 bits.</para>

Modified: trunk/blfs/general/genutils/imagemagick.xml
===================================================================
--- trunk/blfs/general/genutils/imagemagick.xml	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/general/genutils/imagemagick.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -14,7 +14,7 @@
   <!ENTITY imagemagick-download-ftp  "ftp://ftp.imagemagick.org/pub/ImageMagick/ImageMagick-&imagemagick-version;-&imagemagick-patch-version;.tar.xz">
   <!ENTITY imagemagick-md5sum        "773d98dda1fe231d84dd0269dcdf6e65">
   <!ENTITY imagemagick-size          "7.3 Mio">
-  <!ENTITY imagemagick-buildsize     "256 Mio en général (69 Mio suplémentaires si vous lancez la démo d'Image::Magick)">
+  <!ENTITY imagemagick-buildsize     "256 Mio en >énåral (69 Mio suplémentaires si vous lancez la démo d'Image::Magick)">
   <!ENTITY imagemagick-time          "4.2 SBU en général (8.1 SBU supplémentaires pour lancer la suite de tests)">
 ]>
 
@@ -199,10 +199,9 @@
 
      <para>Pour tester les résultats, lancez : <command>make check</command>. Remarquez que
      de nombreux tests exigent un <application>ghostscript</application> 
-     fonctionnel
-     (et il doit être lié avec - voir les commandes optionnelles dessous).</para>
+     fonctionnel (et que devrait être lié en dur - voir la commande facultative
+     ci-dessous.</para>
 
-
      <para>Maintenant, en tant qu'utilisateur <systemitem class="username">root</systemitem> :</para>
 
 <screen role="root"><userinput>make install</userinput></screen>

Modified: trunk/blfs/general/graphlib/libexif.xml
===================================================================
--- trunk/blfs/general/graphlib/libexif.xml	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/general/graphlib/libexif.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -98,12 +98,6 @@
   <sect2 role="commands">
     <title>Explications de la commande</title>
 
-    <!--<para><command>sed -i ... doc/Makefile.in</command> :
-    L'installation de <application>libexif</application> échouera si
-    <application>Doxygen</application> n'est pas sur votre szstème,  cause d'un
-    bogue du paquet. La commande ne change pas la situation où 
-      <application>Doxygen</application> est installed.</para>-->
-
     <para><option>--enable-static=no</option> : Ce paramètre empêche que les bibliothèques
     statiques soient installées.</para>
 

Modified: trunk/blfs/general/prog/python2.xml
===================================================================
--- trunk/blfs/general/prog/python2.xml	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/general/prog/python2.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -114,7 +114,8 @@
     <para>Installez <application>Python</application> en lançant les commandes
     suivantes :</para>
 
-<screen><userinput>./configure --prefix=/usr --enable-shared &&
+<screen><userinput>sed -i "s/ndbm_libs = \[\]/ndbm_libs = ['gdbm', 'gdbm_compat']/" setup.py &&
+./configure --prefix=/usr --enable-shared &&
 make</userinput></screen>
 
     <para>Pour tester les résultats, lancez : <command>make test</command>.</para>
@@ -170,6 +171,12 @@
       <application>Python</application> compilera sa propre copie de
       <application>Libffi</application>.
     </para>
+
+    <para>
+      <command>sed -i "s/ndbm_libs = ..." setup.py</command> : Cette
+      commande est utilisée pour corriger un problème de construction avec la
+      bibliothèque <application>GDBM</application>
+    </para>
     
     <para><command>chmod ...</command> : Corrige les permissions pour que les bibliothèques soient 
     compatibles avec les autres bibliothèques.</para>

Modified: trunk/blfs/general.ent
===================================================================
--- trunk/blfs/general.ent	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/general.ent	2012-03-07 15:31:05 UTC (rev 1669)
@@ -3,7 +3,7 @@
 $Date: 2012-02-20 18:29:32 +0100 (lun 20 fév 2012) $
 -->
 
-<!ENTITY day          "05">                   <!-- Always 2 digits -->
+<!ENTITY day          "06">                   <!-- Always 2 digits -->
 <!ENTITY month        "03">                   <!-- Always 2 digits -->
 <!ENTITY year         "2012">
 <!ENTITY copyrightdate "2001-&year;">
@@ -120,8 +120,8 @@
 <!ENTITY consolekit-version           "0.4.5">
 <!ENTITY cracklib-version             "2.8.18">
 <!ENTITY cyrus-sasl-version           "2.1.25">
-<!ENTITY iptables-version             "1.4.12">
-<!ENTITY gnupg-version                "1.4.11">
+<!ENTITY iptables-version             "1.4.12.2">
+<!ENTITY gnupg-version                "1.4.12">
 <!ENTITY gnupg2-version               "2.0.18">
 <!ENTITY gpgme-version                "1.3.1">
 <!ENTITY heimdal-version              "1.4">
@@ -136,7 +136,7 @@
 <!ENTITY ca-bundle-version            "3.12.11.0"> -->
 <!ENTITY gnutls-version               "3.0.15">
 <!ENTITY linux-pam-version            "1.1.5">
-<!ENTITY p11-kit-version              "0.10">
+<!ENTITY p11-kit-version              "0.11">
 <!-- <!ENTITY policykit-version            "0.9">-->
 <!ENTITY polkit-version               "0.104">
 <!ENTITY polkit-gnome-version         "0.104">
@@ -796,6 +796,7 @@
 <!ENTITY aisleriot-version            "3.2.2">
 <!ENTITY cheese-version               "3.2.2">
 <!ENTITY devhelp-version              "3.2.0">
+<!ENTITY epiphany-extensions-version  "3.2.0">
 <!ENTITY file-roller-version          "3.2.2">
 <!ENTITY glade-version                "3.10.2">
 <!ENTITY gnome-color-manager-version  "3.2.1">

Modified: trunk/blfs/gnome/add/add.xml
===================================================================
--- trunk/blfs/gnome/add/add.xml	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/gnome/add/add.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -47,6 +47,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="anjuta.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="cheese.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="devhelp.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="epiphany-extensions.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="file-roller.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gedit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ghex.xml"/>

Added: trunk/blfs/gnome/add/epiphany-extensions.xml
===================================================================
--- trunk/blfs/gnome/add/epiphany-extensions.xml	                        (rev 0)
+++ trunk/blfs/gnome/add/epiphany-extensions.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -0,0 +1,274 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY epiphany-extensions-download-http "&gnome-download-http;/epiphany-extensions/&gnome-version;/epiphany-extensions-&epiphany-extensions-version;.tar.xz">
+  <!ENTITY epiphany-extensions-download-ftp  "&gnome-download-ftp;/epiphany-extensions/&gnome-version;/epiphany-extensions-&epiphany-extensions-version;.tar.xz">
+  <!ENTITY epiphany-extensions-md5sum      "abe7a73d7be0414a2ea0c0b634f12093">
+  <!ENTITY epiphany-extensions-size       "1.3 Mio">
+  <!ENTITY epiphany-extensions-buildsize  "22 Mio">
+  <!ENTITY epiphany-extensions-time       "0.4 SBU">
+]>
+
+<sect1 id="epiphany-extensions" xreflabel="Epiphany-Extensions-&epiphany-extensions-version;">
+  <?dbhtml filename="epiphany-extensions.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy> : ken $</othername>
+    <date>$Date> : 2012-03-06 01:54:03 +0100 (mar 06 mar 2012) $</date>
+  </sect1info>
+
+  <title>Epiphany-Extensions-&epiphany-extensions-version;</title>
+
+  <indexterm zone="epiphany-extensions">
+    <primary sortas="a-Epiphany-extensions">Epiphany Extensions</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction aux extensions d'Epiphany</title>
+
+    <para><application>Epiphany Extensions</application> est un ensemble
+    d'extensions pour <application>Epiphany</application>, le navigateur de
+    <application>GNOME</application>.</para>
+
+    &lfs70_checked;
+
+    <bridgehead renderas="sect3">Informations sur le paquet</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Téléchargement (HTTP) : <ulink url="&epiphany-extensions-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Téléchargement (FTP) : <ulink url="&epiphany-extensions-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Somme de contrôle MD5 du téléchargement : &epiphany-extensions-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Taille du téléchargement : &epiphany-extensions-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimation de l'espace disque requis : &epiphany-extensions-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimation du temps de construction : &epiphany-extensions-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Dépendances d'Epiphany Extensions</bridgehead>
+
+    <bridgehead renderas="sect4">Requises</bridgehead>
+    <para role="required"><xref linkend="epiphany"/></para>
+
+    <bridgehead renderas="sect4">Recommandées</bridgehead>
+    <para role="recommended"><xref linkend="opensp"/> et
+    <xref linkend="dbus-glib"/></para>
+
+    <para condition="html" role="usernotes">Notes utilisateur :
+    <ulink url="&blfs-wiki;/epiphany-extensions"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation des extensions d'Epiphany</title>
+
+    <para>Installez <application>Epiphany Extensions</application> en lançant les commandes
+    suivantes :</para>
+
+<screen><userinput>./configure --prefix=$GNOME_PREFIX &&
+make</userinput></screen>
+
+    <para>Ce paquet n'est pas fourni avec une suite de tests.</para>
+
+    <para>Maintenant, en tant qu'utilisateur the <systemitem class="username">root</systemitem> :</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Explications des commandes</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../xincludes/gnome-prefix.xml"/>
+
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuration des extensions d'Epiphany</title>
+
+    <para>Toutes les extensions ne sont pas opérationnelles jusqu'à ce que vous
+    alliez dans le menu Outils d'<application>Epiphany</application> et activiez
+    les extensions que vous souhaitez utiliser.</para>
+
+    <para>Pour utiliser l'extension html5tube, vous devez aller sur <ulink
+    url="http://www.youtube.com/html5">http://www.youtube.com/html5</ulink>
+    et cliquer sur 'Rejoindre le test HTML5' (il faut activer les cookies et
+    il faut répéter l'opération pour chaque navigateur avec lequel vous souhaitez
+    utiliser HTML5).</para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contenu</title>
+
+    <segmentedlist>
+      <segtitle>Programmes installés</segtitle>
+      <segtitle>Bibliothèques installées</segtitle>
+      <segtitle>Répertoires installés</segtitle>
+
+      <seglistitem>
+        <seg>Aucun</seg>
+        <seg>libactionsextension.so, libadblockextension.so, libautoreloadextension.so,
+        libcertificatesextension.so, libextensionsmanagerrui.so, libgesturesextension.so,
+        libgreasemonkeyextension.so, libhtml5tubeextension.so, libpushscrollerextension.so,
+        libsoupflyextension.so, librssextension.so, libtabkeytabnavigateextension.so,
+        libtabstatesextension.so</seg>
+        <seg><envar>$GNOME_PREFIX</envar>/{lib/epiphany/3.2/extensions,
+        share/{epiphany-extensions,{gnome-help,omf}/epiphany-extensions}}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Descriptions courtes</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libactionsextension">
+        <term><filename class='libraryfile'>libactionsextension.so</filename></term>
+        <listitem>
+          <para>contient les fonctions pour exécuter les commandes de votre choix
+          depuis le menu contextuel.</para>
+          <indexterm zone="epiphany-extensions libactionsextension">
+            <primary sortas="c-libactionsextension">libactionsextension.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libadblockextension">
+        <term><filename class='libraryfile'>libadblockextension.so</filename></term>
+        <listitem>
+          <para>contient les fonctions pour bloquer les pop-ups publicitaires.</para>
+          <indexterm zone="epiphany-extensions libadblockextension">
+            <primary sortas="c-libadblockextension">libadblockextension.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libautoreloadextension">
+        <term><filename class='libraryfile'>libautoreloadextension.so</filename></term>
+        <listitem>
+          <para>contient les fonctions pour recharger périodiquement
+          les onglets.</para>
+          <indexterm zone="epiphany-extensions libautoreloadextension">
+            <primary sortas="c-libautoreloadextension">libautoreloadextension.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcertificatesextension">
+        <term><filename class='libraryfile'>libcertificatesextension.so</filename></term>
+        <listitem>
+          <para>contient les fonctions pour voir le certificat d'une page  et
+          gérer les certificats.</para>
+          <indexterm zone="epiphany-extensions libcertificatesextension">
+            <primary sortas="c-libcertificatesextension">libcertificatesextension.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgesturesextension">
+        <term><filename class='libraryfile'>libgesturesextension.so</filename></term>
+        <listitem>
+          <para>contient les fonctions pour effectuer des actions avec les mouvements
+          de la souris.</para>
+          <indexterm zone="epiphany-extensions libgesturesextension">
+            <primary sortas="c-libgesturesextension">libgesturesextension.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgreasemonkeyextension">
+        <term><filename class='libraryfile'>libgreasemonkeyextension.so</filename></term>
+        <listitem>
+          <para>contient les fonctions pour lancer des scripts utilisateur afin
+          de modifier le comportement de pages 9eb.
+          </para>
+          <indexterm zone="epiphany-extensions libgreasemonkeyextension">
+            <primary sortas="c-libgreasemonkeyextension">libgreasemonkeyextension.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libhtml5tubeextension">
+        <term><filename class='libraryfile'>libhtml5tubeextension.so</filename></term>
+        <listitem>
+          <para>contient les fonctions pour voir la plupart des vidéos Youtube
+          en utilisant le lecteur média HTML5 de Webkit.</para>
+          <indexterm zone="epiphany-extensions libhtml5tubeextension">
+            <primary sortas="c-libhtml5tubeextension">libhtml5tubeextension.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libpushscrollerextension">
+        <term><filename class='libraryfile'>libpushscrollerextension.so</filename></term>
+        <listitem>
+          <para>contient les fonctions pour faire défiler une page avec le bouton
+          du milieu de la souris.</para>
+          <indexterm zone="epiphany-extensions libpushscrollerextension">
+            <primary sortas="c-libpushscrollerextension">libpushscrollerextension.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="librssextension">
+        <term><filename class='libraryfile'>librssextension.so</filename></term>
+        <listitem>
+          <para>contient les fonctions pour s'abonner à un fil de nouvelles
+          proposé par une page web.</para>
+          <indexterm zone="epiphany-extensions librssextension">
+            <primary sortas="c-librssextension">librssextension.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libsoupflyextension">
+        <term><filename class='libraryfile'>libsoupflyextension.so</filename></term>
+        <listitem>
+          <para>contient les fonctions pour déboguer la session Soup utilisée par
+          Webkit.</para>
+          <indexterm zone="epiphany-extensions libsoupflyextension">
+            <primary sortas="c-libsoupflyextension">libsoupflyextension.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libtabkeynavigateextension">
+        <term><filename class='libraryfile'>libtabkeynavigateextension.so</filename></term>
+        <listitem>
+          <para>contient les fonctions pour utiliser la touche tab pour naviguer
+          entre les onglets.</para>
+          <indexterm zone="epiphany-extensions libtabkeynavigateextension">
+            <primary sortas="c-libtabkeynavigateextension">libtabkeynavigateextension.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libtabstatesextension">
+        <term><filename class='libraryfile'>libtabstatesextension.so</filename></term>
+        <listitem>
+          <para>contient les fonctions pour initialiser un nouveau contenu dans
+          des onglets en arrière-plan.</para>
+          <indexterm zone="epiphany-extensions libtabstatesextension">
+            <primary sortas="c-libtabstatesextension">libtabstatesextension.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+
+  </sect2>
+
+</sect1>

Modified: trunk/blfs/introduction/welcome/changelog.xml
===================================================================
--- trunk/blfs/introduction/welcome/changelog.xml	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/introduction/welcome/changelog.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -10,8 +10,8 @@
   <?dbhtml filename="changelog.html"?>
 
   <sect1info>
-    <othername>$LastChangedBy : rthomsen $</othername>
-    <date>$Date : 2012-03-06 22:38:12 +0100 (Tue, 06 Mar 2012) $</date>
+    <othername>$LastChangedBy : bdubbs $</othername>
+    <date>$Date : 2012-03-06 03:36:53 +0100 (Tue, 06 Mar 2012) $</date>
   </sect1info>
 
   <title>Historique des changements</title>
@@ -42,14 +42,31 @@
 
 -->
     <listitem>
+      <para>6 mars 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[krejzi] - gnupg-1.4.12.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>5 mars 2012</para>
       <itemizedlist>
         <listitem>
-        <para>[bdubbs] - Passage à gnutls-3.0.15. Merci à
-          Armin K. pour la création du correctif.</para>
+          <para>[bdubbs] - Passage à p11-kit-0.11. Merci à
+                    Armin K. pour avoir créé le correctif.</para>
         </listitem>
         <listitem>
-         <para>[bdubbs] - Passage à cyrus-sasl-2.1.25. Merci à
+          <para>[bdubbs] - Passage à iptables-1.4.12.2. Merci à
+          Armin K. pour avoir créé le correctif.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Passage à gnutls-3.0.15. Merci à
+          Armin K. pour avoir créé le correctif.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Passage à cyrus-sasl-2.1.25. Merci à
           Armin K. pour avoir créé les correctifs.</para>
         </listitem>
         <listitem>
@@ -76,10 +93,12 @@
           <para>[abenton] - Suppression de Hal.</para>
         </listitem>
         <listitem>
-          <para>[ken] - Passage à ImageMagick-6.7.5-9, Correction d'une erreur de compilation causée par 
-          zlib-1.2.6.</para>
+          <para>[ken] - Passage à ImageMagick-6.7.5-9, corrige un échec de
+          compilation causé par zlib-1.2.6.</para>
         </listitem>
-
+        <listitem>
+          <para>[ken] - Ajout d'epiphany-extensions-3.2.0.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
 

Modified: trunk/blfs/multimedia/libdriv/liba52.xml
===================================================================
--- trunk/blfs/multimedia/libdriv/liba52.xml	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/multimedia/libdriv/liba52.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -74,7 +74,7 @@
     suivantes :</para>
 
 <screen><userinput>./configure --prefix=/usr --enable-shared --disable-static \
-  CFLAGS="-g -O2 $([ $(arch) = x86_64 ] && echo -fPIC)" &&
+  CFLAGS="-g -O2 $([ $(uname -m) = x86_64 ] && echo -fPIC)" &&
 make</userinput></screen>
 
     <para>Pour tester les résultats, lancez : <command>make check</command>.</para>

Modified: trunk/blfs/postlfs/security/gnupg.xml
===================================================================
--- trunk/blfs/postlfs/security/gnupg.xml	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/postlfs/security/gnupg.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -7,8 +7,8 @@
   <!ENTITY gnupg-download-http "&sources-anduin-http;/g/gnupg-&gnupg-version;.tar.bz2">
   <!--<!ENTITY gnupg-download-http "http://public.ftp.planetmirror.com/pub/gnupg/gnupg-&gnupg-version;.tar.bz2"> -->
   <!ENTITY gnupg-download-ftp  "ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-&gnupg-version;.tar.bz2">
-  <!ENTITY gnupg-md5sum        "411744e1ef8ce90b87938c4203f001f1">
-  <!ENTITY gnupg-size          "3.4 Mio">
+  <!ENTITY gnupg-md5sum        "ce3742e5c7912559cab7894ad8ba7f6b">
+  <!ENTITY gnupg-size          "3.5 Mio">
   <!ENTITY gnupg-buildsize     "45 Mio">
   <!ENTITY gnupg-time          "0.5 SBU">
 ]>
@@ -61,16 +61,6 @@
       </listitem>
     </itemizedlist>
 
-    <!-- <bridgehead renderas="sect3">Téléchargements supplémentaires</bridgehead>
-    <itemizedlist spacing='compact'>
-      <listitem>
-        <para>Correctif requis (si vous avez déjà installé
-        <application>Curl</application> et s'il est lié à une bibliothèque SSL/TLS) : <ulink
-          url="&patch-root;/gnupg-&gnupg-version;-curl_fix-1.patch"/>
-      </para>
-      </listitem>
-    </itemizedlist>-->
-
     <bridgehead renderas="sect3">Dépendances de GnuPG</bridgehead>
 
     <bridgehead renderas="sect4">Facultatives</bridgehead>

Modified: trunk/blfs/postlfs/security/gnutls.xml
===================================================================
--- trunk/blfs/postlfs/security/gnutls.xml	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/postlfs/security/gnutls.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -7,7 +7,7 @@
   <!ENTITY gnutls-download-http "http://ftp.gnu.org/gnu/gnutls/gnutls-&gnutls-version;.tar.xz">
   <!ENTITY gnutls-download-ftp  "ftp://ftp.gnu.org/gnu/gnutls/gnutls-&gnutls-version;.tar.xz">
   <!ENTITY gnutls-md5sum        "37bdac12b5c039c7a8738b5d85eda968">
-  <!ENTITY gnutls-size          "4.6 MB">
+  <!ENTITY gnutls-size          "4.6 Mio">
   <!ENTITY gnutls-buildsize     "120 Mio">
   <!ENTITY gnutls-time          "1.6 SBU (ajouter 1.5 SBU pour exécuter la suite de tests)">
 ]>
@@ -84,7 +84,7 @@
       <xref linkend="libidn"/>,
       <xref linkend="libtasn1"/>,
       <xref linkend="p11-kit"/> et
-      <ulink url="http://valgrind.org/">Valgrind</ulink> (used during the test suite)</para>
+      <ulink url="http://valgrind.org/">Valgrind</ulink> (utilisé lors de la suite de tes!s)</para>
 
     <para>Notez que si vous installez <xref linkend="libtasn1"/>, une ancienne version chargée
     dans l'archive de <application>GnuTLS</application> sera utilisée à la place.</para>
@@ -142,8 +142,8 @@
 
       <seglistitem>
         <seg>certtool, crywrap, gnutls-cli, gnutls-cli-debug, gnutls-serv,
-       ocsptool, p11tool, psktool, and srptool</seg>
-       <seg>libgnutls.{so,a}, libgnutls-openssl.{so,a}, and libgnutlsxx.{so,a}</seg>
+        ocsptool, p11tool, psktool et srptool</seg>
+        <seg>libgnutls.{so,a}, libgnutls-openssl.{so,a}, et libgnutlsxx.{so,a}</seg>
         <seg>/usr/include/gnutls,
         /usr/share/doc/gnutls-&gnutls-version;, et
         /usr/share/gtk-doc/html/gnutls</seg>
@@ -212,8 +212,9 @@
       <varlistentry id="ocsptool">
         <term><command>ocsptool</command></term>
         <listitem>
-	  <para>est un programme qui peut analyser et afficher les informations à propos des demandes/réponses
-          OCSP, générant les demandes et vérifiant les réponses.</para>
+          <para>est un programme qui peut analyser et afficher des informations
+          sur les requêtes/réponses OCSP, générer des requêtes et vérifier les
+          réponses.</para>
           <indexterm zone="gnutls ocsptool">
             <primary sortas="b-ocsptool">ocsptool</primary>
           </indexterm>
@@ -223,14 +224,14 @@
       <varlistentry id="p11tool">
         <term><command>p11tool</command></term>
         <listitem>
-          <para>est un programme qui autorise la manipulation de données depuis les cartes PKCS #11 
-          et les modules de sécurité.</para>
+          <para>est un programme qui permet de gérer des données à partir de cartes
+          smart PKCS #11 et des modules de sécurité.</para>
           <indexterm zone="gnutls p11tool">
             <primary sortas="b-p11tool">p11tool</primary>
           </indexterm>
         </listitem>
       </varlistentry>
-
+ 
       <varlistentry id="psktool">
         <term><command>psktool</command></term>
         <listitem>

Modified: trunk/blfs/postlfs/security/iptables.xml
===================================================================
--- trunk/blfs/postlfs/security/iptables.xml	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/postlfs/security/iptables.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -6,8 +6,8 @@
 
   <!ENTITY iptables-download-http "http://www.netfilter.org/projects/iptables/files/iptables-&iptables-version;.tar.bz2">
   <!ENTITY iptables-download-ftp  "ftp://ftp.netfilter.org/pub/iptables/iptables-&iptables-version;.tar.bz2">
-  <!ENTITY iptables-md5sum        "d3f145c2c91daecbb4251bc79390b46c">
-  <!ENTITY iptables-size          "480 Kio">
+  <!ENTITY iptables-md5sum        "212112389c7f10c72efb31a4ed193a4c">
+  <!ENTITY iptables-size          "482 Kio">
   <!ENTITY iptables-buildsize     "15 Mio">
   <!ENTITY iptables-time          "0.2 SBU">
 ]>
@@ -107,10 +107,9 @@
 <screen><userinput>sed -i '/if_packet/i#define __aligned_u64 __u64 __attribute__((aligned(8)))' \
    extensions/libxt_pkttype.c &&
 ./configure --prefix=/usr     \
+            --exec-prefix=    \
             --bindir=/sbin    \
-            --sbindir=/sbin   \
-            --libdir=/lib     \
-            --libexecdir=/lib \
+            --with-xtlibdir=/lib/xtables \
             --with-pkgconfigdir=/usr/lib/pkgconfig &&
 make</userinput></screen>
 
@@ -131,13 +130,13 @@
     installé. Ce n'est pas nécéssaire si vous avez construit LFS avec des entêtes de noyau
     plus anciens, mais dans ce cas, cela n'est pas nuisible.</para>
 
-    <para><parameter>--bindir=/sbin</parameter>,
-    <parameter>--sbindir=/sbin</parameter>> :nbsp;:  Assure que tous les exécutables vont dans
-    <filename class="directory">/sbin</filename>.</para>
+    <para><parameter>--exec-prefix=</parameter> :  Assure que tous les binaires
+    et les bibliothèques finissent dans l'arborescence de
+    répertoires <filename class="directory">/</filename>.</para>
 
-    <para><parameter>--libdir=/lib</parameter>,
-    <parameter>--libexecdir=/lib</parameter>> :nbsp;:  Assure que toutes les bibliothèques vont dans
-    l'arborescence du repertoire <filename class="directory">/lib</filename>.</para>
+    <para><parameter>--with-xtlibdir=/lib/xtables</parameter> : Assure
+    que les modules d'iptables sont installés dans le répertoire
+    <filename class="directory">/lib/xtables</filename>.</para>
 
     <para><parameter>--with-pkgconfigdir=/usr/lib/pkgconfig</parameter>> :nbsp;:
     Assure que tous les fichiers pkgconfig sont dans le repertoire standard.</para>
@@ -179,11 +178,11 @@
       <segtitle>Répertoires installés</segtitle>
 
       <seglistitem>
-        <seg>iptables, iptables-restore, iptables-save, iptables-xml,
-        iptables-multi, ip6tables, ip6tables-restore, ip6tables-save,
-        et ip6tables-multii</seg>
-        <seg>libip4tc.so, libip6tc.so, libiptc.so, libxtables.so,
-        et numerous modules in /lib/xtables/</seg>
+        <seg>iptables, iptables-restore, iptables-save, iptables-xml, 
+        ip6tables, ip6tables-restore, ip6tables-save,
+        et de nombreux modules dans /lib/xtables</seg>
+        <seg>/lib/xtables, /usr/include/libiptc et /usr/share/xtables
+        et de nombreux autres modules dans /lib/xtables/</seg>
         <seg>/lib/xtables/xtables et /usr/include/libiptc</seg>
       </seglistitem>
     </segmentedlist>
@@ -198,7 +197,7 @@
         <listitem>
           <para>est utilisé pour paramétrer, maintenir et inspecter les tables 
           de règles de filtrage de paquets IP du noyau Linux. C'est un lien symbolique
-	  vers iptables-multi.</para>
+	  vers xtables-multi.</para>
           <indexterm zone="iptables iptables-prog">
             <primary sortas="b-iptables">iptables</primary>
           </indexterm>
@@ -210,7 +209,8 @@
         <listitem>
           <para>est utilisé pour restaurer des tables IP à partir de données
           spécifiées sur STDIN. Utilise la redirection E/S fournie par votre
-          shell pour lire un fichier. C'est un lien symbolique vers iptables-multi.</para>
+          shell pour lire un fichier. C'est un lien symbolique vers 
+          xtables-multi.</para>
           <indexterm zone="iptables iptables-restore">
             <primary sortas="b-iptables-restore">iptables-restore</primary>
           </indexterm>
@@ -223,7 +223,7 @@
           <para>est utilisé pour envoyer le contenu d'une table IP dans un
           format facilement parseable vers STDOUT. Utilisez la redirection E/S
           fournie par votre shell pour écrire dans un fichier. C'est un lien 
-	  symbolique vers iptables-multi.</para>
+	  symbolique vers xtables-multi.</para>
           <indexterm zone="iptables iptables-save">
             <primary sortas="b-iptables-save">iptables-save</primary>
           </indexterm>
@@ -237,7 +237,7 @@
           au format XML. L'utilisation de la feuille de style
           <filename>iptables.xslt</filename> convertit le fond XML au format
           <command>iptables-restore</command>.
-	  C'est un lien symbolique vers iptables-multi.</para>
+	  C'est un lien symbolique vers xtables-multi.</para>
           <indexterm zone="iptables iptables-xml">
             <primary sortas="b-iptables-xml">iptables-xml</primary>
           </indexterm>
@@ -249,7 +249,7 @@
         <listitem>
           <para>sont un ensemble de commandes pour IPV6 qui sont similaires aux commandes
 	    iptables vu précédement. Toutes ces commandes sont des liens symboliques vers
-	    ip6tables-multi.</para>
+            xtables-multi.</para>
           <indexterm zone="iptables ip6tables">
             <primary sortas="b-ip6tables">ip6tables</primary>
           </indexterm>

Modified: trunk/blfs/postlfs/security/nss.xml
===================================================================
--- trunk/blfs/postlfs/security/nss.xml	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/postlfs/security/nss.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -95,7 +95,7 @@
 
 <screen><userinput>patch -Np1 -i ../nss-&nss-version;-standalone-1.patch &&
 cd mozilla/security/nss &&
-make nss_build_all $([ $(arch) = x86_64 ] && echo USE_64=1) BUILD_OPT=1 \
+make nss_build_all $([ $(uname -m) = x86_64 ] && echo USE_64=1) BUILD_OPT=1 \
   NSPR_INCLUDE_DIR=/usr/include/nspr USE_SYSTEM_ZLIB=1 ZLIB_LIBS=-lz \
   $(cat /usr/include/sqlite3.h &> /dev/null && echo NSS_USE_SYSTEM_SQLITE=1)</userinput></screen>
 
@@ -146,11 +146,11 @@
   <sect2 role="commands">
     <title>Explication des commandes</title>
 
-    <para><command>[ $(arch) = x86_64 ] && echo USE_64=1</command> :
-    Cette commande est <emphasis>exigée sur x86_64</emphasis>, sinon la
+    <para><parameter>[ $(uname -m) = x86_64 ] && echo USE_64=1</parameter> :
+    Cette option est <emphasis>exigée sur x86_64</emphasis>, sinon la
     construction va essayer de créer un objet 32 bits et échouer sur un système
     non multilib. Le test [ $(arch) = x86_64 ] garantit que cela n'aura aucun
-    effet sur un szstème a 32 bits.</para> 
+    effet sur un système 32 bits.</para> 
  
     <para><command>cat /usr/include/sqlite3.h ... </command> : teste si
     <application>sqlite</application> est installé et si oui, il règle la

Modified: trunk/blfs/postlfs/security/p11-kit.xml
===================================================================
--- trunk/blfs/postlfs/security/p11-kit.xml	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/postlfs/security/p11-kit.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -6,9 +6,9 @@
 
   <!ENTITY p11-kit-download-http "http://p11-glue.freedesktop.org/releases/p11-kit-&p11-kit-version;.tar.gz">
   <!ENTITY p11-kit-download-ftp  " ">
-  <!ENTITY p11-kit-md5sum        "6dda974e0bf993b934dcd65792dcfbb5">
-  <!ENTITY p11-kit-size          "516 Kio">
-  <!ENTITY p11-kit-buildsize     "6.6 Mio">
+  <!ENTITY p11-kit-md5sum        "bd45d00c5c4d4b171791003bf5344d6f">
+  <!ENTITY p11-kit-size          "5520 Kio">
+  <!ENTITY p11-kit-buildsize     "6.0 Mio">
   <!ENTITY p11-kit-time          "less than 0.1 SBU">
 ]>
 
@@ -113,20 +113,11 @@
       <?dbfo list-presentation="list"?>
       <?dbhtml list-presentation="table"?>
 
-      <varlistentry id="p11-kit-prog">
-        <term><command>p11-kit-prog</command></term>
-        <listitem>
-          <para>does this .....</para>
-          <indexterm zone="p11-kit p11-kit-prog">
-            <primary sortas="b-p11-kit-prog">p11-kit-prog</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="libp11-kit">
         <term><filename class='libraryfile'>libp11-kit.so</filename></term>
         <listitem>
-          <para>contains functions that .....</para>
+          <para>contient les fonctions utilisées pour coordonner 
+          l'initialisation et la finalisation d'un module PKCS#11.</para>
           <indexterm zone="p11-kit libp11-kit">
             <primary sortas="c-libp11-kit">libp11-kit.so</primary>
           </indexterm>
@@ -136,7 +127,7 @@
       <varlistentry id="p11-kit-proxy">
         <term><filename class='libraryfile'>p11-kit-proxy.so</filename></term>
         <listitem>
-          <para>contains functions that .....</para>
+          <para>est un module proxy PKCS#11.</para>
           <indexterm zone="p11-kit p11-kit-proxy">
             <primary sortas="c-p11-kit-proxy">p11-kit-proxy.so</primary>
           </indexterm>

Modified: trunk/blfs/server/major/bind.xml
===================================================================
--- trunk/blfs/server/major/bind.xml	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/server/major/bind.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -245,7 +245,7 @@
 cp /etc/localtime etc &&
 touch /srv/named/managed-keys.bind &&
 cp /usr/lib/engines/libgost.so usr/lib/engines &&
-[ $(arch) = x86_64 ] && ln -sv lib usr/lib64</userinput></screen>
+[ $(uname -m) = x86_64 ] && ln -sv lib usr/lib64</userinput></screen>
 
       <para>Le fichier <filename>rndc.conf</filename> contient des informations
       pour contrôler les opérations de <command>named</command> avec l'outil

Modified: trunk/blfs/xsoft/graphweb/firefox.xml
===================================================================
--- trunk/blfs/xsoft/graphweb/firefox.xml	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/xsoft/graphweb/firefox.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -32,7 +32,7 @@
     <para><application>Firefox</application> est un navigateur autonome basé sur le code
     <application>Mozilla</application>.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Informations sur le paquet</bridgehead>
     <itemizedlist spacing="compact">

Modified: trunk/blfs/xsoft/graphweb/seamonkey.xml
===================================================================
--- trunk/blfs/xsoft/graphweb/seamonkey.xml	2012-03-07 10:30:36 UTC (rev 1668)
+++ trunk/blfs/xsoft/graphweb/seamonkey.xml	2012-03-07 15:31:05 UTC (rev 1669)
@@ -46,7 +46,7 @@
     --></para>
 
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Informations sur le paquet</bridgehead>
     <itemizedlist spacing="compact">




More information about the lfs-traducfr mailing list